package MT::Plugin::SKR::MightyCMS::Abs2Rel;
#   Abs2Rel - 
#           Copyright (c) 2008 SKYARC System Co.,Ltd.

use strict;
use MT::Template::Context;
use Data::Dumper;

use vars qw( $MYNAME $VERSION );
$MYNAME = 'Abs2Rel';
$VERSION = '1.00';

### Sub-Class
use base qw( MT::Plugin );
my $plugin = new MT::Plugin ({
        name => $MYNAME,
        version => $VERSION,
        author_name => q{ SKYARC System Co.,Ltd. },
        author_link => q{ http://www.skyarc.co.jp/ },
        doc_link => qw{ http://www.skyarc.co.jp/ },
        description => <<HTMLHEREDOC,
<MT_TRANS phrase="Convert the absolute URL description into it's relative one.">
HTMLHEREDOC
});
MT->add_plugin( $plugin );

sub instance { $plugin; }



use MT::Template::Context;
MT::Template::Context->add_global_filter( abs2rel => \&abs2rel );
sub abs2rel {
    my ($data, $arg, $ctx) = @_;
    if ($arg) {
        my $blog = $ctx->stash( 'blog' );
        if ($blog) {
            my $url = $blog->archive_url || $blog->site_url || undef;
            if ($url) {
                my ($http_domain) = $url =~ m!^(https?://[^/]+)!;
                $data =~ s/^\Q$http_domain\E//;
            }
        }
    }
    $data;
}

1;
__END__
